package f00f.net.irc.martyr.commands;

import f00f.net.irc.martyr.State;
import f00f.net.irc.martyr.Command;
import f00f.net.irc.martyr.Debug;
import f00f.net.irc.martyr.CommandRegister;


/**
 * Defines the PONG command.  At this point, PONGs can only be sent to
 * the server, so all we need to do is provide render().
 */
public class PongCommand extends PingCommand
{

public PongCommand( String dest )
{
	super( dest );
}

/**
 * PONG shouldn't be sent to us.
 */
public Command parse( String prefix, String identifier, String params )
{
	return null;
}

public String getIrcIdentifier()
{
	return "PONG";
}

// ===== Pong-specific methods =======================================
public String getPongDest()
{
	return getPingSource();
}

}


