package f00f.net.irc.martyr.commands;

import f00f.net.irc.martyr.State;
import f00f.net.irc.martyr.Command;
import f00f.net.irc.martyr.Debug;
import f00f.net.irc.martyr.CommandRegister;


/**
 * Some unknown command, for which there is no factory.
 */
public class UnknownCommand extends GenericCommand
{

public State getState()
{
	return State.UNKNOWN;
}

/** 
 * Never parsed.
 */
public Command parse( String prefix, String identifier, String params )
{
	return null;
}

/**
 * Unknown, so we don't know what the identifier is ahead of time.
 */
public String getIrcIdentifier()
{
	return null;
}

/**
 * No real way to figure out how to render the params.
 */
public String renderParams()
{
	return null;
}

}


