package f00f.net.irc.martyr.commands;

import f00f.net.irc.martyr.State;
import f00f.net.irc.martyr.Command;
import f00f.net.irc.martyr.IRCConnection;
import f00f.net.irc.martyr.Debug;
import f00f.net.irc.martyr.CommandRegister;
/**
 * Defines USER command.
 */
public class UserCommand extends GenericCommand
{

private String name;
private String user;
private String localhost;
private String remotehost;

public UserCommand( String user, String name, IRCConnection connection )
{
	this.name = name;
	this.user = user;
	localhost = connection.getLocalhost();
	remotehost = connection.getRemotehost();
}

/**
 * USER should never be sent by the server to a client.
 */
public Command parse( String prefix, String identifier, String params )
{
	return null;
}

public String getIrcIdentifier()
{
	return "USER";
}

public String renderParams()
{
	return user + " " + localhost + " " + remotehost + " :" + name;
}

}


